# $Revision: 1.38 $, $Date: 2002/10/11 23:51:35 $
#
# todo:
# - fix build requirements for 3dfx (there is no BR)
#
# Conditional build:
# _without_alsa - without ALSA
# _without_svga - without SVGAlib support
#
%ifarch sparc sparcv9 sparc64
%define			_without_alsa	1
%endif

%ifnarch %{ix86} alpha
%define			_without_svga	1
%endif

Summary:	3D game engine based on id Software's Quake engine
Summary(pl):	Silnik gry 3D bazujcy na silniku Quake id Software
Name:		quakeforge
Version:	0.5.2
Release:	2
License:	GPL
Group:		Applications/Games
Source0:	http://download.sourceforge.net/quake/%{name}-%{version}.tar.bz2
Source1:	%{name}.png
Source2:	%{name}-servers.tgz
URL:		http://www.%{name}.net/
BuildRequires:	OpenGL-devel
BuildRequires:	SDL-devel
BuildRequires:	XFree86-devel
BuildRequires:	autoconf
BuildRequires:	automake >= 1.6
BuildRequires:	bison
%{!?_without_alsa:BuildRequires: alsa-lib-devel}
BuildRequires:	nas-devel
%{!?_without_svga:BuildRequires: svgalib-devel}
BuildRequires:	texinfo
BuildRequires:	xmms-devel
BuildRequires:	zlib-devel
Requires:	OpenGL
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define 	_noautoreqdep	libGL.so.1 libGLU.so.1
%define 	_xbindir	/usr/X11R6/bin

%description
QuakeForge is a source port of Quake and QuakeWorld, the successors to
id Software's very popular DOOM series. Its primary development goal
is to remain compatible with the original games released by id
Software while adding portability and optional extensions to enhance
gameplay.

%description -l pl
QuakeForge jest portem rde gier Quake i QuakeWorld - sukcesorw
bardzo popularnej serii DOOM firmy id Software. Podstawowym celem
projektu jest zachowanie zgodnoci z oryginalnymi odpowiednikami
tyche gier przy jednoczesnym dodaniu opcjonalnych rozszerze
sucych podniesieniu jakoci zabawy.

%package devel
Summary:	QuakeForge - headers and devel libs
Summary(pl):	QuakeForge - pliki nagwkowe
Group:		Applications/Games
Requires:	%{name} = %{version}

%description devel
QuakeForge - headers and devel libs

%description devel -l pl
QuakeForge - pliki nagwkowe

%package static
Summary:	QuakeForge 3D game engine - static libraries
Summary(pl):	Silnik gry 3D QuakeForge - biblioteki statyczne
Group:		Applications/Games
Requires:	%{name}-devel = %{version}

%description static
QuakeForge 3D game engine - static libraries

%description static -l pl
Silnik gry 3D QuakeForge - biblioteki statyczne

%package servers
Summary:	QuakeForge Servers
Summary(pl):	Serwery QuakeForge
Group:		Applications/Games
Requires:	%{name} = %{version}

%description servers
QuakeForge Servers.

%description servers -l pl
Serwery QuakeForge.

%package utils
Summary:	QuakeForge - utility programs
Summary(pl):	QuakeForge - programy narzdziowe
Group:		Applications/Games
Requires:	%{name} = %{version}

%description utils
QuakeForge - utility programs.

%description utils -l pl
QuakeForge - programy narzdziowe.

%package 3dfx
Summary:	QuakeForge client for 3dfx
Summary(pl):	Klient QuakeForge pod 3dfx
Group:		Applications/Games
Requires:	%{name}-libs-gl = %{version}

%description 3dfx
Quakeforge client for 3dfx device.

%description 3dfx -l pl
Klient QuakeForge pod 3dfx.

%package fbdev
Summary:	QuakeForge client for fbdev
Summary(pl):	Klient QuakeForge pod fbdev
Group:		Applications/Games
Requires:	%{name}-libs-sw = %{version}

%description fbdev
Quakeforge client for framebuffer device.

%description fbdev -l pl
Klient QuakeForge pod framebuffer.

%package glx
Summary:	QuakeForge glx client
Summary(pl):	Klient QuakeForge glx
Group:		Applications/Games
Requires:	%{name}-libs-gl = %{version}

%description  glx
Quakeforge client for X Window that uses OpenGL through GLX extension.

%description glx -l pl
Klient QuakeForge pod X Window uywajcy OpenGL poprzez rozszerzenie
GLX.

%package sdl
Summary:	QuakeForge client for SDL with 8-bit color
Summary(pl):	Klient QuakeForge pod SDL z 8-bitowym kolorem
Group:		Applications/Games
Requires:	%{name}-libs-sw = %{version}

%description  sdl
Quakeforge client for SDL with 8-bit color.

%description sdl -l pl
Klient QuakeForge pod SDL z 8-bitowym kolorem.

%package sdl32
Summary:	QuakeForge client for SDL with various color depths support
Summary(pl):	Klient QuakeForge pod SDL z obsug rnych gbi kolorw
Group:		Applications/Games
Requires:	%{name}-libs-sw = %{version}

%description sdl32
Quakeforge client for SDL with various color depths support (8, 16,
32-bit).

%description sdl32 -l pl
Klient QuakeForge pod SDL z obsug rnych gbi kolorw (8, 16 i
32-bitowej).

%package sgl
Summary:	QuakeForge client for SDL with GL
Summary:	Klient QuakeForge pod SDL z obsug GL
Group:		Applications/Games
Requires:	%{name}-libs-gl = %{version}

%description sgl
QuakeForge client for SDL that uses OpenGL through SDL.

%description sgl -l pl
Klient QuakeForge pod SDL, uywajcy OpenGL za porednictwem SDL.

%package svga
Summary:	QuakeForge client for svgalib
Summary(pl):	Klient QuakeForge pod svgalib
Group:		Applications/Games
Requires:	%{name}-libs-sw = %{version}
Obsoletes:	%{name}-svgalib

%description  svga
Quakeforge client for svgalib.

%description svga -l pl
Klient QuakeForge pod svgalib.

%package x11
Summary:	QuakeForge client for x11
Summary(pl):	Klient QuakeForge pod x11
Group:		Applications/Games
Requires:	%{name}-libs-sw = %{version}

%description x11
Quakeforge client for x11.

%description x11 -l pl
Klient QuakeForge pod x11.

%package cd-linux
Summary:	QuakeForge - Linux CD plugin
Summary(pl):	QuakeForge - wtyczka CD dla Linuksa
Group:		Applications/Games
Requires:	%{name} = %{version}

%description cd-linux
QuakeForge - native Linux CD plugin.

%description cd-linux -l pl
QuakeForge - wtyczka CD uywajca mechanizmw charakterystycznych dla
Linuksa.

%package cd-sdl
Summary:	QuakeForge - SDL CD plugin
Summary(pl):	QuakeForge - wtyczka CD dla SDL
Group:		Applications/Games
Requires:	%{name} = %{version}

%description cd-sdl
QuakeForge - CD plugin that uses SDL to access drive.

%description cd-sdl -l pl
QuakeForge - wtyczka CD odwoujca si do odtwarzacza poprzez SDL.

%package cd-xmms
Summary:	QuakeForge - xmms CD plugin
Summary(pl):	QuakeForge - wtyczka CD dla xmms
Group:		Applications/Games
Requires:	%{name} = %{version}

%description cd-xmms
QuakeForge - CD plugin that uses xmms to access drive.

%description cd-xmms -l pl
QuakeForge - wtyczka CD odwoujca si do odtwarzacza poprzez xmms.

%package libs-gl
Summary:	QuakeForge - OpenGL renderer libraries
Summary(pl):	QuakeForge - biblioteki renderujace OpenGL
Group:		Applications/Games
Requires:	%{name} = %{version}
Requires:	OpenGL

%description libs-gl
QuakeForge - OpenGL renderer libraries.

%description libs-gl -l pl
QuakeForge - biblioteki renderujce z uyciem OpenGL.

%package libs-sw
Summary:	QuakeForge - Software renderer libraries
Summary(pl):	QuakeForge - biblioteki do renderowania programowego
Group:		Applications/Games
Requires:	%{name} = %{version}

%description libs-sw
QuakeForge - Software renderer libraries.

%description libs-sw -l pl
QuakeForge - biblioteki do renderowania programowego.

%package snd-alsa
Summary:	ALSA sound plugin for QuakeForge
Summary(pl):	Wtyczka dwikowa ALSA dla QuakeForge
Group:		Applications/Games
Requires:	%{name} = %{version}

%description snd-alsa
The ALSA plugin for QuakeForge provides digital audio output for
QuakeForge targets that contain clients.

%description snd-alsa -l pl
Wtyczka ALSA dla QuakeForge udostpnia cyfrowe wyjcie dwiku dla
klientw gry.

%package snd-oss
Summary:	OSS sound plugin for QuakeForge
Summary(pl):	Wtyczka dwikowa OSS dla QuakeForge
Group:		Applications/Games
Requires:	%{name} = %{version}

%description snd-oss
The OSS plugin for QuakeForge provides digital audio output (using
OSS/Linux, OSS/Free, or kernel sound) for QuakeForge targets that
contain clients.

NOTE: This plugin does not work on all systems, since it uses
memory-mapped I/O for the output device. If you have trouble, try the
%{name}-snd-alsa package.

%description snd-oss -l pl
Wtyczka OSS dla QuakeForge udostpnia cyfrowe wyjcie dwieku
(uywajce OSS/Linux, OSS/Free lub obsugi dwiku wkompilowanej w
kernel) dla klientw gry.

UWAGA: Ta wtyczka nie dziaa na wszystkich systemach, gdy uzywaj one
mapowanego w pamici I/O dla urzdzenia wyjciowego. Jeli masz z ni
kopoty - sprbuj uy pakietu %{name}-snd-alsa.

%package snd-sdl
Summary:	SDL sound plugin for QuakeForge
Summary(pl):	Wtyczka dwikowa SDL dla QuakeForge
Group:		Applications/Games
Requires:	%{name} = %{version}

%description snd-sdl
The SDL plugin for QuakeForge provides digital audio output for
QuakeForge targets that contain clients.

%description snd-sdl -l pl
Wtyczka SDL dla QuakeForge udostpnia cyfrowe wyjcie dwiku dla
klientw gry.

%prep
%setup -q

%build
%configure \
	--with-x \
	--enable-vidmode \
	--enable-dga \
	--with-plugin-path=%{_libdir}/%{name} \
	--with-global-cfg="%{_sysconfdir}/%{name}/%{name}.conf" \
	--with-user-cfg="~/.%{name}/%{name}.conf" \
	%{?_without_3dfx:--disable-3dfx} \
	%{?_without_alsa:--disable-alsa} \
	%{?_without_svga:--without-svga}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/etc/{rc.d/init.d,%{name}},%{_datadir}/games/%{name}/qw} \
	$RPM_BUILD_ROOT{%{_xbindir},%{_pixmapsdir},%{_applnkdir}/Games}

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%ifnarch ppc
mv $RPM_BUILD_ROOT{%{_bindir}/{%{?!_without_3dfx:*3dfx,}*glx,*sdl*,*sgl,*x11},%{_xbindir}}
%else
mv $RPM_BUILD_ROOT{%{_bindir}/{*glx,*sdl*,*sgl,*x11},%{_xbindir}}
%endif

install  %{SOURCE1} $RPM_BUILD_ROOT%{_pixmapsdir}
cp RPM/%{name}.conf $RPM_BUILD_ROOT%{_sysconfdir}/%{name}

touch $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/qw-server.cfg
echo "map e1m3" > $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/nq-server.cfg

cd $RPM_BUILD_ROOT%{_datadir}/games/%{name}/qw
ln -sf %{_sysconfdir}/%{name}/qw-server.cfg server.cfg 
cd -

cd $RPM_BUILD_ROOT/etc/rc.d/init.d
tar zxfv %{SOURCE2}
cd -

qfver="%{?!_without_3dfx:3dfx }glx sdl sdl32 sgl x11"

for f in $qfver; do
	desktopfile="$RPM_BUILD_ROOT%{_applnkdir}/Games/qw-client-$f.desktop"
	echo "[Desktop Entry]\nName=QuakeWorld ($f)\nExec=qw-client-$f \
	\nIcon=%{name}.png\nTerminal=0\nType=Application" > $desktopfile

	desktopfile="$RPM_BUILD_ROOT%{_applnkdir}/Games/nq-$f.desktop"
	echo "[Desktop Entry]\nName=Quake ($f)\nExec=nq-$f \
	\nIcon=%{name}.png\nTerminal=0\nType=Application" > $desktopfile
done

cp doc/man/%{name}* $RPM_BUILD_ROOT%{_mandir}/man1

%clean
%{!?_without_clean:rm -rf $RPM_BUILD_ROOT}

%post servers
/sbin/chkconfig --add qw-serverd
if [ -f /var/lock/subsys/qw-serverd ]; then
	/etc/rc.d/init.d/qw-serverd restart 1>&2
else
	echo "Run \"/etc/rc.d/init.d/qw-serverd start\" to start QuakeWorld Server."
fi
/sbin/chkconfig --add nq-serverd
if [ -f /var/lock/subsys/nq-serverd ]; then
	/etc/rc.d/init.d/nq-serverd restart 1>&2
else
	echo "Run \"/etc/rc.d/init.d/nq-serverd start\" to start NQuake Server."
fi
/sbin/chkconfig --add qw-masterd
if [ -f /var/lock/subsys/qw-masterd ]; then
	/etc/rc.d/init.d/qw-masterd restart 1>&2
else
	echo "Run \"/etc/rc.d/init.d/qw-masterd start\" to start QuakeWorld Master."
fi

%preun servers
if [ "$1" = "0" ]; then
	if [ -f /var/lock/subsys/qw-serverd ]; then
		/etc/rc.d/init.d/qw-serverd stop 1>&2
	fi
	/sbin/chkconfig --del qw-serverd
fi
if [ "$1" = "0" ]; then
	if [ -f /var/lock/subsys/nq-serverd ]; then
		/etc/rc.d/init.d/nq-serverd stop 1>&2
	fi
	/sbin/chkconfig --del nq-serverd
fi
if [ "$1" = "0" ]; then
	if [ -f /var/lock/subsys/qw-masterd ]; then
		/etc/rc.d/init.d/qw-masterd stop 1>&2
	fi
	/sbin/chkconfig --del qw-masterd
fi

%files
%defattr(644,root,root,755)
%doc NEWS TODO ChangeLog doc/[!Mm]*
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/%{name}/%{name}.conf
%attr(755,root,root) %{_libdir}/libQFcd.so.*
%attr(755,root,root) %{_libdir}/libQFconsole.so.*
%attr(755,root,root) %{_libdir}/libQFcsqc.so.*
%attr(755,root,root) %{_libdir}/libQFgamecode.so.*
%attr(755,root,root) %{_libdir}/libQFgamecode_builtins.so.*
%attr(755,root,root) %{_libdir}/libQFjs.so.*
%attr(755,root,root) %{_libdir}/libQFmodels.so.*
%attr(755,root,root) %{_libdir}/libQFsound.so.*
%attr(755,root,root) %{_libdir}/libQFutil.so.*
%dir %{_libdir}/%{name}
%attr(755,root,root) %{_libdir}/%{name}/cd_null.so*
%attr(755,root,root) %{_libdir}/%{name}/console_client.so*
%attr(755,root,root) %{_libdir}/%{name}/snd_output_disk.so*
%attr(755,root,root) %{_libdir}/%{name}/snd_output_null.so*
%attr(755,root,root) %{_libdir}/%{name}/snd_render_default.so*
%dir %{_datadir}/games/%{name}
%dir %{_datadir}/games/%{name}/id1
%{_datadir}/games/%{name}/id1/game.dat*
%{_datadir}/games/%{name}/id1/menu.dat*
%dir %{_datadir}/games/%{name}/qw
%{_pixmapsdir}/%{name}.png
%{_mandir}/man1/%{name}.1*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/qfcc
%attr(755,root,root) %{_libdir}/libQFcd.so
%attr(755,root,root) %{_libdir}/libQFcd.la
%attr(755,root,root) %{_libdir}/libQFconsole.so
%attr(755,root,root) %{_libdir}/libQFconsole.la
%attr(755,root,root) %{_libdir}/libQFcsqc.so
%attr(755,root,root) %{_libdir}/libQFcsqc.la
%attr(755,root,root) %{_libdir}/libQFgamecode.so
%attr(755,root,root) %{_libdir}/libQFgamecode.la
%attr(755,root,root) %{_libdir}/libQFgamecode_builtins.so
%attr(755,root,root) %{_libdir}/libQFgamecode_builtins.la
%attr(755,root,root) %{_libdir}/libQFjs.so
%attr(755,root,root) %{_libdir}/libQFjs.la
%attr(755,root,root) %{_libdir}/libQFmodels.so
%attr(755,root,root) %{_libdir}/libQFmodels.la
%attr(755,root,root) %{_libdir}/libQFmodels_gl.so
%attr(755,root,root) %{_libdir}/libQFmodels_gl.la
%attr(755,root,root) %{_libdir}/libQFrenderer_gl.so
%attr(755,root,root) %{_libdir}/libQFrenderer_gl.la
%attr(755,root,root) %{_libdir}/libQFmodels_sw.so
%attr(755,root,root) %{_libdir}/libQFmodels_sw.la
%attr(755,root,root) %{_libdir}/libQFrenderer_sw32.so
%attr(755,root,root) %{_libdir}/libQFrenderer_sw32.la
%attr(755,root,root) %{_libdir}/libQFsound.so
%attr(755,root,root) %{_libdir}/libQFsound.la
%attr(755,root,root) %{_libdir}/libQFutil.so
%attr(755,root,root) %{_libdir}/libQFutil.la
%attr(755,root,root) %{_libdir}/%{name}/cd_linux.la
%attr(755,root,root) %{_libdir}/%{name}/cd_null.la
%attr(755,root,root) %{_libdir}/%{name}/cd_sdl.la
%attr(755,root,root) %{_libdir}/%{name}/cd_xmms.la
%attr(755,root,root) %{_libdir}/%{name}/console_client.la
%attr(755,root,root) %{_libdir}/%{name}/console_server.la
%{!?_without_alsa:%attr(755,root,root) %{_libdir}/%{name}/snd_output_alsa*.la}
%attr(755,root,root) %{_libdir}/%{name}/snd_output_disk.la
%attr(755,root,root) %{_libdir}/%{name}/snd_output_null.la
%attr(755,root,root) %{_libdir}/%{name}/snd_output_oss.la
%attr(755,root,root) %{_libdir}/%{name}/snd_output_sdl.la
%attr(755,root,root) %{_libdir}/%{name}/snd_render_default.la
%{_includedir}/QF
%{_mandir}/man1/qfcc.1*

%files static
%defattr(644,root,root,755)
%{_libdir}/libQFcd.a
%{_libdir}/libQFconsole.a
%{_libdir}/libQFcsqc.a
%{_libdir}/libQFgamecode.a
%{_libdir}/libQFgamecode_builtins.a
%{_libdir}/libQFjs.a
%{_libdir}/libQFmodels.a
%{_libdir}/libQFmodels_gl.a
%{_libdir}/libQFrenderer_gl.a
%{_libdir}/libQFmodels_sw.a
%{_libdir}/libQFrenderer_sw32.a
%{_libdir}/libQFsound.a
%{_libdir}/libQFutil.a
%{_libdir}/%{name}/cd_linux.a
%{_libdir}/%{name}/cd_null.a
%{_libdir}/%{name}/cd_sdl.a
%{_libdir}/%{name}/cd_xmms.a
%{_libdir}/%{name}/console_client.a
%{_libdir}/%{name}/console_server.a
%{!?_without_alsa:%{_libdir}/%{name}/snd_output_alsa*.a}
%{_libdir}/%{name}/snd_output_disk.a
%{_libdir}/%{name}/snd_output_null.a
%{_libdir}/%{name}/snd_output_oss.a
%{_libdir}/%{name}/snd_output_sdl.a
%{_libdir}/%{name}/snd_render_default.a

%files servers
%defattr(644,root,root,755)
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/%{name}/*-server.cfg
%attr(755,root,root) %{_bindir}/qw-server
%attr(755,root,root) %{_bindir}/nq-server
%attr(755,root,root) %{_bindir}/qw-master
%attr(755,root,root) %{_libdir}/%{name}/console_server.so*
%{_datadir}/games/%{name}/qw/server.cfg
%attr(754,root,root) /etc/rc.d/init.d/*

%files utils
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/pak
%attr(755,root,root) %{_bindir}/qfbsp
%attr(755,root,root) %{_bindir}/qfdefs
%attr(755,root,root) %{_bindir}/qflight
%attr(755,root,root) %{_bindir}/qfmodelgen
%attr(755,root,root) %{_bindir}/qfprogs
%attr(755,root,root) %{_bindir}/qfvis
%attr(755,root,root) %{_bindir}/qfwavinfo
%attr(755,root,root) %{_bindir}/zpak
%{_mandir}/man1/pak.1*
%{_mandir}/man1/qflight.1*
%{_mandir}/man1/qfvis.1*
#%{_mandir}/man1/qfprogs.1*
#%{_mandir}/man1/qfwavinfo.1*

%if %{?_without_3dfx:0}%{!?_without_3dfx:1}
%ifnarch ppc
%files 3dfx
%defattr(644,root,root,755)
%attr(755,root,root) %{_xbindir}/*3dfx
%{_applnkdir}/Games/*3dfx.desktop
%endif
%endif

%files fbdev
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*fbdev

%files glx
%defattr(644,root,root,755)
%attr(755,root,root) %{_xbindir}/*glx
%{_applnkdir}/Games/*glx.desktop

%files sdl
%defattr(644,root,root,755)
%attr(755,root,root) %{_xbindir}/*sdl
%{_applnkdir}/Games/*sdl.desktop

%files sdl32
%defattr(644,root,root,755)
%attr(755,root,root) %{_xbindir}/*sdl32
%{_applnkdir}/Games/*sdl32.desktop

%files sgl
%defattr(644,root,root,755)
%attr(755,root,root) %{_xbindir}/*sgl
%{_applnkdir}/Games/*sgl.desktop

%if %{?_without_svga:0}%{!?_without_svga:1}
%files svga
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*svga
%endif

%files x11
%defattr(644,root,root,755)
%attr(755,root,root) %{_xbindir}/*x11
%{_applnkdir}/Games/*x11.desktop

%files cd-linux
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/%{name}/cd_linux.so*

%files cd-sdl
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/%{name}/cd_sdl.so*

%files cd-xmms
%defattr(644,root,root,755)
%attr(755,root,root)%{_libdir}/%{name}/cd_xmms.so*

%files libs-gl
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libQFmodels_gl.so.*
%attr(755,root,root) %{_libdir}/libQFrenderer_gl.so.*

%files libs-sw
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libQFmodels_sw.so.*
%attr(755,root,root) %{_libdir}/libQFrenderer_sw32.so.*

%if %{?_without_alsa:0}%{!?_without_alsa:1}
%files snd-alsa
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/%{name}/snd_output_alsa*.so*
%endif

%files snd-oss
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/%{name}/snd_output_oss.so*

%files snd-sdl
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/%{name}/snd_output_sdl.so*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: quakeforge.spec,v $
Revision 1.38  2002/10/11 23:51:35  kloczek
- cosmetics.

Revision 1.37  2002/10/11 22:36:48  adgor
- Added nq-server.cfg (use updated %{SOURCE2}) with predefined map
- Added empty qw-server.cfg
- All global cfg files are now placed in one (%{_sysconfdir}/%{name]) directory
- Simplifications
- Realease 2

Revision 1.36  2002/10/10 11:15:42  wrobell
- rel. 1, stb

Revision 1.35  2002/10/10 11:12:55  wrobell
- bcond for 3dfx added

Revision 1.34  2002/10/09 22:20:49  adgor
- Added missing files

Revision 1.33  2002/10/08 23:55:32  wrobell
- ver. 0.5.2

Revision 1.32  2002/09/15 20:15:13  marcus
- on ppc 3dfx subpackage dosen't build
- rel.3.

Revision 1.31  2002/09/15 19:55:14  adgor
- BR bison

Revision 1.30  2002/09/14 16:26:42  ankry
- quakeforge-svga obsoletes quakeforge-svgalib
- release 2

Revision 1.29  2002/08/23 16:14:20  qboosh
- moved %%files cd-xmms just after other cd-* plugins

Revision 1.28  2002/08/22 22:37:00  adgor
- Updated to 0.5.1.20020822
- Added 3dfx subpackage
- Added missing files

Revision 1.27  2002/08/17 22:32:34  adgor
- Merge branch DEVEL
- Version 0.5.1.20020816
- STBR

Revision 1.26.2.1  2002/08/17 11:51:17  adgor
- Updated to 0.5.1.20020816 (sgl targets work now)
- Some changes with QF plugins new style
- Added cd-xmms subpackage
- BR xmms-devel, automake >= 1.6

Revision 1.26  2002/08/14 19:59:35  qboosh
- fixed build --without alsa
- added missing dirs, enabled svga version on alpha
- reordered subpackages (first by function, then by name), added int. Requires
- release 3

Revision 1.25  2002/08/13 11:04:12  kloczek
- more fixes for sparc*.

Revision 1.24  2002/08/13 09:51:12  kloczek
- move arch depending settings before BuildRequires rules (on top spec file).

Revision 1.23  2002/08/13 08:50:18  kloczek
- s/%define/%global/ in arch dependent settins.

Revision 1.22  2002/08/12 21:29:56  kloczek
- remove suid root from svga binary (we don't need suid root for run svga
  applications),
- cleanups and cosmetics.

Revision 1.21  2002/08/12 18:52:46  marcus
- merge branch devel
- version 0.5.1

Revision 1.15.2.4  2002/08/12 11:14:25  marcus
- fixed for !ix86

Revision 1.15.2.3  2002/07/14 23:07:37  adgor
- Cleaning in %%doc
- Release 2

Revision 1.15.2.2  2002/07/13 18:18:30  adgor
- Updated to 0.5.1.20020712

Revision 1.15.2.1  2002/07/12 15:45:43  adgor
- Updated to 0.5.1
- Added new subpackages
- Added %{name}-servers.tgz
- New descriptions

Revision 1.15  2002/02/23 04:25:52  kloczek
- adapterized.

Revision 1.14  2002/02/22 23:29:39  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.13  2002/01/18 02:14:46  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.12  2001/07/26 05:42:23  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.10  2001/05/22 09:06:51  wiget
switch to new conditional builds macros (bcond_on_ -> _with_/bcond_off_ -> _without_); no release changes only simple s/// perfored

Revision 1.9  2001/04/20 22:30:46  blues
- rebuild against SDL 1.2

Revision 1.8  2001/04/07 10:35:03  jajcus
- _noautoreqdep   libGL.so.1 libGLU.so.1

Revision 1.7  2001/03/15 05:05:47  kloczek
- release 2.

Revision 1.6  2001/03/13 17:09:31  qboosh
- _without_alsa

Revision 1.5  2001/02/19 14:39:19  kloczek
- updated to 0.3.0,
- added ah_fixes patch with autoheader fixes.

Revision 1.4  2001/01/29 13:15:31  kloczek
- added desktop file and icons (based on logo from home page),
- diable Buildrequire rule on sparc for alsa-libs-devel,
- remove all silly mnipulations in CFLAGS (ac_fixes patch) and remove
  --disable-profile, --disable-debug from autoconf parameters in %build,
- added info patch with info index entry fix for quakeforge,
- added %post, %postun scripts with update info index,
- added acconfig.h patch with missing acconfig.h file for autoheader,
- cosmetics in Summary and %description,
- place executables in %%{_bindir}, %%{_sbindir}.

Revision 1.3  2001/01/28 13:02:00  misiek
updated. stb

Revision 1.2  2000/11/26 10:44:45  misiek
moved binaries to /usr/games

Revision 1.1  2000/11/25 14:53:32  misiek
new spec
